## ros-melodic-warthog-control 0.1.2

=== debian/changelog ===
ros-melodic-warthog-control (0.1.2-1stretch) stretch; urgency=high

  * Remove unused arg and set joysticks to use joy topic. (#11 <https://github.com/warthog-cpr/warthog/issues/11>)
  * Disable ekf option (#9 <https://github.com/warthog-cpr/warthog/issues/9>)
    * added env var and if-statement to disable robot ekf
    * changed if to unless
    * clearer wording
    * chenged default to true
  * [warthog_control] Removed rosserial_server as run dependency.
  * Contributors: Michael Hosmar, Tony Baltovski, jmastrangelo-cpr

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 17 Sep 2020 04:00:00 -0000

ros-melodic-warthog-control (0.1.1-1stretch) stretch; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-melodic-warthog-control (0.1.0-1stretch) stretch; urgency=high

  * Minor syntax changes for build warnings.  Changed hardware interfaces.  Added inorder processing for xacro
  * Contributors: Dave Niewinski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-warthog-control (0.0.3-1stretch) stretch; urgency=high

  * [warthog_control] Fixed incorrect joint name.
  * Added optional config load for teleop.launch
  * Added track configuration.
  * Contributors: Michael Hosmar, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-warthog-control (0.0.2-1stretch) stretch; urgency=high

  * [warthog_control] Set locks to nothing to appease twist_mux.
  * Added Novatel Smart6 GPS accessory and updated localization to use IMU.
  * Contributors: Michael Hosmar, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 09 Nov 2017 05:00:00 -0000

ros-melodic-warthog-control (0.0.1-1stretch) stretch; urgency=high

  * Initial commit.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 03 Oct 2016 04:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-warthog-control//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-warthog-control 0.1.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(warthog_control)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

roslaunch_add_file_check(launch/control.launch)
roslaunch_add_file_check(launch/teleop.launch)

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-warthog-control (0.1.6-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Jan 2023 05:00:00 -0000

ros-melodic-warthog-control (0.1.5-1bionic) bionic; urgency=high

  * Add support for WARTHOG_COLOR in gazebo (#18 <https://github.com/warthog-cpr/warthog/issues/18>)
    * Move the headlights & taillights into their own links so we can apply the correct Gazebo materials to them (otherwise the robot looks symmetrical, which is confusing). Start applying different materials to the wheel diff links, depending on the paint colour. Sand & Olive are not yet supported
    * Start trying to implement custom colours for the sand & olive materials. No joy so far.
    * Remove the material scripts; they weren't working anyway. Add the visual tag around the gazebo material, explicitly define the ambient, diffuse, specular, and emissive properties. Add emissive attributes to the headlights & taillights so they actually show up in the dark
    * Add an argument to enable game-controller input via an arg; this makes using the controller inside gazebo easier as we don't need to explicitly define an envar (though that option still exists)
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-melodic-warthog-control (0.1.4-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 16 Jul 2021 04:00:00 -0000

ros-melodic-warthog-control (0.1.3-1bionic) bionic; urgency=high

  * Bumped CMake version to avoid author warning.
  * Change the enable & enable-turbo buttons to 4 and 5 to match with all the other platforms
  * Add another optenv to allow setting the Warthog's joy device
  * Config extras (#12 <https://github.com/warthog-cpr/warthog/issues/12>)
    * Add a WARTHOG_CONFIG_EXTRAS environment variable for the same purpose as the equivalent in Husky.
  * Contributors: Chris I-B, Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 09 Mar 2021 05:00:00 -0000

ros-melodic-warthog-control (0.1.2-1bionic) bionic; urgency=high

  * Remove unused arg and set joysticks to use joy topic. (#11 <https://github.com/warthog-cpr/warthog/issues/11>)
  * Disable ekf option (#9 <https://github.com/warthog-cpr/warthog/issues/9>)
    * added env var and if-statement to disable robot ekf
    * changed if to unless
    * clearer wording
    * chenged default to true
  * [warthog_control] Removed rosserial_server as run dependency.
  * Contributors: Michael Hosmar, Tony Baltovski, jmastrangelo-cpr

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 17 Sep 2020 04:00:00 -0000

ros-melodic-warthog-control (0.1.1-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-melodic-warthog-control (0.1.0-1bionic) bionic; urgency=high

  * Minor syntax changes for build warnings.  Changed hardware interfaces.  Added inorder processing for xacro
  * Contributors: Dave Niewinski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-warthog-control (0.0.3-1bionic) bionic; urgency=high

  * [warthog_control] Fixed incorrect joint name.
  * Added optional config load for teleop.launch
  * Added track configuration.
  * Contributors: Michael Hosmar, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-warthog-control (0.0.2-1bionic) bionic; urgency=high

  * [warthog_control] Set locks to nothing to appease twist_mux.
  * Added Novatel Smart6 GPS accessory and updated localization to use IMU.
  * Contributors: Michael Hosmar, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 09 Nov 2017 05:00:00 -0000

ros-melodic-warthog-control (0.0.1-1bionic) bionic; urgency=high

  * Initial commit.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 03 Oct 2016 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-warthog-control
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
Homepage: http://www.clearpathrobotics.com/
Standards-Version: 3.9.2

Package: ros-melodic-warthog-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-manager, ros-melodic-diff-drive-controller, ros-melodic-interactive-marker-twist-server, ros-melodic-joint-state-controller, ros-melodic-joy, ros-melodic-robot-localization, ros-melodic-teleop-twist-joy, ros-melodic-topic-tools, ros-melodic-twist-mux
Description: Controllers for Warthog

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
